curl --request GET \
--url https://api.getcargo.io/v1/segmentation/segments/{uuid} \
--header 'Authorization: Bearer <token>'{
"segment": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"modelUuid": "<string>",
"slug": "<string>",
"name": "<string>",
"filter": {
"conjonction": "or",
"groups": [
{
"conjonction": "or",
"conditions": [
{
"kind": "<string>",
"name": "<string>",
"clause": "<string>"
}
]
}
]
},
"sort": [
{
"columnSlug": "<string>",
"kind": "asc"
}
],
"limit": 123,
"recordsCount": 123,
"fromPlay": true,
"trackingColumnSlugs": [
"<string>"
],
"syncedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"lastChange": {
"uuid": "<string>",
"slug": "<string>",
"totalRecordsCount": 123,
"updatedRecordsCount": 123,
"removedRecordsCount": 123,
"addedRecordsCount": 123,
"unchangedRecordsCount": 123,
"createdAt": "<string>"
}
}
}Get a segment by UUID
curl --request GET \
--url https://api.getcargo.io/v1/segmentation/segments/{uuid} \
--header 'Authorization: Bearer <token>'{
"segment": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"modelUuid": "<string>",
"slug": "<string>",
"name": "<string>",
"filter": {
"conjonction": "or",
"groups": [
{
"conjonction": "or",
"conditions": [
{
"kind": "<string>",
"name": "<string>",
"clause": "<string>"
}
]
}
]
},
"sort": [
{
"columnSlug": "<string>",
"kind": "asc"
}
],
"limit": 123,
"recordsCount": 123,
"fromPlay": true,
"trackingColumnSlugs": [
"<string>"
],
"syncedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"lastChange": {
"uuid": "<string>",
"slug": "<string>",
"totalRecordsCount": 123,
"updatedRecordsCount": 123,
"removedRecordsCount": 123,
"addedRecordsCount": 123,
"unchangedRecordsCount": 123,
"createdAt": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Segment identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Successful response
Segment details.
Show child attributes
Was this page helpful?